Package org.apache.sling.distribution.journal.bookkeeper

# Class BookKeeperFactory

java.lang.Object
org.apache.sling.distribution.journal.bookkeeper.BookKeeperFactory

public class BookKeeperFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`BookKeeperFactory()`

## Method Summary

Modifier and Type
Method
Description
`BookKeeper`
`create(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, BookKeeperConfig config, Consumer<org.apache.sling.distribution.journal.messages.PackageStatusMessage> statusSender, Consumer<org.apache.sling.distribution.journal.messages.LogMessage> logSender, SubscriberMetrics subscriberMetrics)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BookKeeperFactory

public BookKeeperFactory()

## Method Details

### create

public BookKeeper create(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, BookKeeperConfig config, Consumer<org.apache.sling.distribution.journal.messages.PackageStatusMessage> statusSender, Consumer<org.apache.sling.distribution.journal.messages.LogMessage> logSender, SubscriberMetrics subscriberMetrics)